Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reporting
Export & Automations
    Automations
    Tabular export
    Visual export
    Raw export
    Slides export
    Export Definitions
    Image export
    Export templates
      GET all Export Template entitiesgetPost Export Template entitiespostGET Export Template entitygetPUT Export Template entityputDelete Export Template entitydeletePatch Export Template entitypatchGet all Workspace Export TemplatesgetPost Workspace Export TemplatepostGet a Workspace Export TemplategetPut a Workspace Export TemplateputDelete a Workspace Export TemplatedeletePatch a Workspace Export Templatepatch
AI Lake
AI Assistant
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Export templates

Endpoint:/

GET all Export Template entities

GET
/api/v1/entities/exportTemplates

GET all Export Template entities › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

GET all Export Template entities › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/exportTemplates

Post Export Template entities

POST
/api/v1/entities/exportTemplates

Post Export Template entities › Request Body

  • dataobject · required

    JSON:API representation of exportTemplate entity.

Post Export Template entities › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of exportTemplate entity.

  • linksobject
POST /api/v1/entities/exportTemplates

GET Export Template entity

GET
/api/v1/entities/exportTemplates/{id}

GET Export Template entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

GET Export Template entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

GET Export Template entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of exportTemplate entity.

  • linksobject
GET /api/v1/entities/exportTemplates/{id}

PUT Export Template entity

PUT
/api/v1/entities/exportTemplates/{id}

PUT Export Template entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

PUT Export Template entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

PUT Export Template entity › Request Body

  • dataobject · required

    JSON:API representation of exportTemplate entity.

PUT Export Template entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of exportTemplate entity.

  • linksobject
PUT /api/v1/entities/exportTemplates/{id}

Delete Export Template entity

DELETE
/api/v1/entities/exportTemplates/{id}

Delete Export Template entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete Export Template entity › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/exportTemplates/{id}

Patch Export Template entity

PATCH
/api/v1/entities/exportTemplates/{id}

Patch Export Template entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch Export Template entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch Export Template entity › Request Body

  • dataobject · required

    JSON:API representation of patching exportTemplate entity.

Patch Export Template entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of exportTemplate entity.

  • linksobject
PATCH /api/v1/entities/exportTemplates/{id}

Get all Workspace Export Templates

GET
/api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates

Get all Workspace Export Templates › path Parameters

  • workspaceIdstring · required

Get all Workspace Export Templates › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Workspace Export Templates › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Workspace Export Templates › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates

Post Workspace Export Template

POST
/api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates

Post Workspace Export Template › path Parameters

  • workspaceIdstring · required

Post Workspace Export Template › query Parameters

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Workspace Export Template › Request Body

  • dataobject · required

    JSON:API representation of workspaceExportTemplate entity.

Post Workspace Export Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceExportTemplate entity.

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates

Get a Workspace Export Template

GET
/api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Get a Workspace Export Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Workspace Export Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Workspace Export Template › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Workspace Export Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceExportTemplate entity.

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Put a Workspace Export Template

PUT
/api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Put a Workspace Export Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Workspace Export Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Put a Workspace Export Template › Request Body

  • dataobject · required

    JSON:API representation of workspaceExportTemplate entity.

Put a Workspace Export Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceExportTemplate entity.

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Delete a Workspace Export Template

DELETE
/api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Delete a Workspace Export Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Workspace Export Template › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Patch a Workspace Export Template

PATCH
/api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Patch a Workspace Export Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Workspace Export Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch a Workspace Export Template › Request Body

  • dataobject · required

    JSON:API representation of patching workspaceExportTemplate entity.

Patch a Workspace Export Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceExportTemplate entity.

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/workspaceExportTemplates/{objectId}

Image exportAI Lake - Databases